Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.pluginmanager
Class ManagerAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.pluginmanager.ManagerAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public final class ManagerAgent

extends Agent

The ManagerAgent checks for new versions of madkit plugins.

Version:
  $Revision: 1.12 $
Author:
  Sebastian Rodriguez - sebastian.rodriguez@utbm.fr
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `community`
`static java.lang.String` | `DETAILS`
`static java.lang.String` | `DOWNLOADER`
`static java.lang.String` | `group`
`static java.lang.String` | `PLUGIN_MANAGER`
`static java.lang.String` | `PROGRESS`
`static java.lang.String` | `SCHEDULER`

Constructor Summary
`ManagerAgent()` Creates a new Plugin Manager Agent.The agent will try to use madkit.dir as home directory or will request the user for a directory.
`ManagerAgent(java.io.File madkitDir, java.util.Properties config)` Creates a new Plugin Manager Agent.

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`int` | `getCurrentProcessMax()`
`java.lang.String` | `getCurrentProcessNote()`
`int` | `getCurrentProcessStatus()`
`int` | `getGlobalProcessMax()`
`java.lang.String` | `getGlobalProcessNote()`
`int` | `getGlobalProcessStatus()`
`static java.io.File` | `getTempDir()`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`boolean` | `isGlobalProcessFinished()`
`boolean` | `isGoingToInstall(java.lang.String pluginname)` Checks if a plugin is going to be installed
`void` | `live()` This method defines the main behavior of threaded agents.
`void` | `markForInstall(java.lang.String pluginname)`
`void` | `removeFromInstall(java.lang.String string)`
`void` | `setFullInstallRequest()`
`void` | `startInstall()`
`void` | `upgrade()`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### community

    public static final java.lang.String community

See Also:
  Constant Field Values

### group

    public static final java.lang.String group

See Also:
  Constant Field Values

### DOWNLOADER

    public static final java.lang.String DOWNLOADER

See Also:
  Constant Field Values

### PROGRESS

    public static final java.lang.String PROGRESS

See Also:
  Constant Field Values

### PLUGIN_MANAGER

    public static final java.lang.String PLUGIN_MANAGER

See Also:
  Constant Field Values

### DETAILS

    public static final java.lang.String DETAILS

See Also:
  Constant Field Values

### SCHEDULER

    public static final java.lang.String SCHEDULER

See Also:
  Constant Field Values

Constructor Detail

### ManagerAgent

    public ManagerAgent()

  Creates a new Plugin Manager Agent.The agent will try to use madkit.dir as home directory or will request the user for a directory.

### ManagerAgent

    public ManagerAgent(java.io.File madkitDir,
                        java.util.Properties config)

  Creates a new Plugin Manager Agent.

  Parameters:
    `madkitDir` - Madkit install directory

Method Detail

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior of threaded agents.

  Overrides:
    `live` in class `Agent`
  See Also:
    `Agent.live()`

### isGoingToInstall

    public boolean isGoingToInstall(java.lang.String pluginname)

  Checks if a plugin is going to be installed

  Parameters:
    `pluginname` - Plugin Name
  Returns:
    true if the plugin is scheduled to download, false otherwise.

### startInstall

    public void startInstall()

### markForInstall

    public void markForInstall(java.lang.String pluginname)

### getTempDir

    public static final java.io.File getTempDir()

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `AbstractAgent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations. Although it is "nicer" to make the agent leave its groups, the handled groups and roles are automatically leaved after this last step

  Overrides:
    `end` in class `AbstractAgent`

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developer should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developer does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### removeFromInstall

    public void removeFromInstall(java.lang.String string)

  Parameters:
    `string` -

### upgrade

    public void upgrade()

### getGlobalProcessNote

    public java.lang.String getGlobalProcessNote()

### getCurrentProcessNote

    public java.lang.String getCurrentProcessNote()

### getGlobalProcessStatus

    public int getGlobalProcessStatus()

### getCurrentProcessStatus

    public int getCurrentProcessStatus()

### getGlobalProcessMax

    public int getGlobalProcessMax()

### getCurrentProcessMax

    public int getCurrentProcessMax()

### isGlobalProcessFinished

    public boolean isGlobalProcessFinished()

### setFullInstallRequest

    public void setFullInstallRequest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.